# Automatic `sh-elf-gcc` installer

This script can be used to automatically compile and install a GCC cross-compiler targeting SH3 and SH4 calculators. The normal use is with GiteaPC:

```
% giteapc install Lephenixnoir/sh-elf-gcc
```

You can also install manually. First install [`sh-elf-binutils`](https://gitea.planet-casio.com/Lephenixnoir/sh-elf-binutils), then run the GiteaPC Makefile with a manually-specified install prefix:

```
% make -f giteapc.make configure build install PREFIX=$HOME/.local
```

An `any` configuration is provided in case GCC is already installed externally, to have this package installed without rebuilding it.

```
% giteapc install Lephenixnoir/sh-elf-gcc:any
```
